### Method

# Atk Value get_range

since: 2.12

#### Declaration [src]

    AtkRange*
    atk_value_get_range (
      AtkValue* obj
    )

#### Description [src]

Gets the range of this object.

Available since: 2.12

#### Return value

Type: `AtkRange`

A newly allocated `AtkRange` that represents the minimum, maximum and descriptor (if available) of `obj`. NULL if that range is not defined.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.